# fn() setBitTo
Set the bit with the given index to the given value.

Defined in | <seqan/misc/bit_twiddling.h>
Signature | `void setBitTo(word, index, value);`

## Parameters

`word` | The machine word (number) to set bits of (IntegerConcept).
`index` | The index of the bit in the word to set (IntegerConcept).
`value` | The value to set to, `bool`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn setBitTo
     *
     * @headerfile <seqan/misc/bit_twiddling.h>
     *
     * @brief Set the bit with the given index to the given value.
     *
     * @signature void setBitTo(word, index, value);
     *
     * @param[in,out] word The machine word (number) to set bits of (@link
     *                     IntegerConcept @endlink).
     * @param[in] index The index of the bit in the word to set (@link
     *                  IntegerConcept @endlink).
     * @param[in] value The value to set to, <tt>bool</tt>.
     */